%define name knetmap
%define version 0.2.0
%define release 3mdk

Summary: KNetmap is a network discovery, scanning, and probing tool for KDE.
Name: %name
Version: %version
Release: %release
License: GPL
Group: Monitoring
Source0: %{name}-%{version}.tar.bz2
URL: http://knetmap.sourceforge.net/
BuildRoot: %_tmppath/%{name}-%{version}
BuildRequires: qt3-devel >= 3.2.3
BuildRequires: kdelibs-devel
Requires:  nmap >= 3.48
Requires:  sudo

%description
KNetmap is a nmap frontend for KDE.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --enable-final --disable-rpath

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 

install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl %{name} "Internet/Other" %buildroot/%_datadir/applications/kde/%{name}.desktop %buildroot/%_menudir/%{name}

#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/icons/crystalsvg/48x48/apps/%{name}.png %buildroot/%_liconsdir
ln -s %_datadir/icons/crystalsvg/32x32/apps/%{name}.png %buildroot/%_iconsdir
ln -s %_datadir/icons/crystalsvg/16x16/apps/%{name}.png %buildroot/%_miconsdir

rm -rf $RPM_BUILD_ROOT%_datadir/apps/knetmap/icons/hicolor/*/*/.png*

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755)
%doc NEWS AUTHORS README TODO ChangeLog COPYING INSTALL
%_bindir/%{name}
%_menudir/%{name}
%dir %_datadir/apps/%{name}/
%_datadir/apps/%{name}/*
%_datadir/icons/crystalsvg/16x16/apps/%{name}.png
%_datadir/icons/crystalsvg/22x22/apps/%{name}.png
%_datadir/icons/crystalsvg/32x32/apps/%{name}.png
%_datadir/icons/crystalsvg/48x48/apps/%{name}.png
%_datadir/icons/crystalsvg/64x64/apps/%{name}.png
%_datadir/icons/crystalsvg/128x128/apps/%{name}.png
%_datadir/config/%{name}rc
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png
%_datadir/applications/kde/%{name}.desktop

%changelog
* Sat Sep 04 2004 Angelo Naselli <anaselli@mandrake.org> 0.2.0-3mdk
- use configure macro and added disable-rpath option to avoid 
  binary-or-shlib-defines-rpath rpmlint error

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.0-2mdk
- Rebuild

* Sat Feb 28 2004 Angelo Naselli <random_lx@yahoo.com> 0.2.0-1mdk
- added --enable-final to configure command
- fix sudo and QT requirement
- built mdk version

* Thu Jan 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- from Angelo Naselli <random_lx@yahoo.com> :
	- built mdk version

